


<!DOCTYPE HTML>
<html xmlns:th="http://www.thymeleaf.org">
<head>
    <meta charset="UTF-8" />
    <title>Creation d'un article</title>    <link rel="stylesheet" type="text/css" th:href="@{/css/style.css}"/>
</head>
<body>
<h1>Creation d'un article:</h1>

<!--
   In Thymeleaf the equivalent of
   JSP's ${pageContext.request.contextPath}/edit.html
   would be @{/edit.html}
   -->

<form th:action="@{/save}"
      th:object="${article}" method="POST">
    Nom:
    <input type="text" th:field="*{name}" />
    <br/>
    Description:
    <input type="text" th:field="*{description}" />
    <br/>
    Prix:
    <input type="text" th:field="*{price}" />
    <br/>
    <input type="submit" value="Create" />
</form>

<br/>

<!-- Check if errorMessage is not null and not empty

<div th:if="${errorMessage}" th:utext="${errorMessage}"
     style="color:red;font-style:italic;">
    ...
</div>
-->

</body>
</html>